#!/bin/bash

dir=$1
test $dir || exit 1

if [ -d $dir ] ; then
  echo "rm -rf $dir ?  (y/n)"
  read reply
  test $reply != "y" && exit 2
  rm -rf $dir
fi

mkdir -p $dir
cd $dir
mkdir -p config
cp -a ../config/*.* config
mkdir -p tutorial
cp -a ../tutorial/* tutorial
cp -a ../test.F90 .
ln -s ../Makefile .
ln -s ../framework
ln -s ../util
ln -s ../c
ln -s ../v5dF.h
